Available in VPC
Get the analysis status of a media asset registered in a project.
Request
| Method | URI |
|---|---|
| GET | /api/v1/workspaces/{workspace_name}/projects/{project_id}/assets/{asset_id}/analyze-status |
Request headers
For information about the headers common to all Media Intelligence APIs, see Media Intelligence request headers.
Request path parameters
You can use the following path parameters with your request:
| Field | Type | Required | Description |
|---|---|---|---|
workspace_name |
String | Required | Workspace name |
project_id |
String | Required | Project ID
|
asset_id |
String | Required | Media asset ID
|
Request example
The request example is as follows:
curl --location --request GET 'https://mi.apigw.ntruss.com/api/v1/workspaces/my-workspace/projects/1234/assets/5678/analyze-status' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json'
Response
This section describes the response format.
Response body
The response body includes the following data:
| Field | Type | Required | Description |
|---|---|---|---|
code |
String | - | API processing result code |
message |
String | - | API processing result message |
result |
Object | - | Asset analysis status information |
result.status |
String | - | Analysis status
|
result.analyzeStatusMessage |
String | - | Reason for failed analysis
|
result.indexId |
Integer | - | Index ID created on successful analysis |
Response status codes
For information about the HTTP status codes common to all Media Intelligence APIs, see Media Intelligence response status codes.
Response example
The response example is as follows:
{
"code": "0",
"message": "success",
"result": {
"status": "ANALYZE_COMPLETED",
"analysisStatusMessage": null,
"indexId": 1001
}
}